Bug 46972 - TestNG integration with JMeter
Summary: TestNG integration with JMeter
Status: RESOLVED WONTFIX
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 2.2
Hardware: All Windows XP
: P2 enhancement with 4 votes (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2009-04-05 10:44 UTC by tac
Modified: 2016-02-24 19:10 UTC (History)
2 users (show)



Attachments
source code for testNG integration (27.65 KB, application/octet-stream)
2009-04-05 10:44 UTC, tac
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tac 2009-04-05 10:44:30 UTC
Created attachment 23443 [details]
source code for testNG integration

Developed new sampler to provide TestNG integration
Comment 1 Sebb 2009-04-05 11:03:25 UTC
Thanks very much for the patch.

It cannot be used with the current release of JMeter as that targets Java 1.4 (for compilation and run-time), however JMeter will move to Java 1.5 in due course, probably after the next release.

We don't use @author tags in JMeter source code, so could these be removed when the code is used? The contributor can be credited in other ways, e.g. changes and release notes.
Comment 2 benoit.wiart 2016-01-29 21:28:10 UTC
this bug is 7 years old and should be closed as wontfix
Comment 3 Philippe Mouawad 2016-02-20 13:05:07 UTC
Hi,
There is a hotfix (which I didn't review), any will to integrate it ?
We already have JUnit for Unit Testing integration.
I don't know which of JUnit vs TestNG is the leader but I am not sure this is a priority for the project.

So I would vote for a WONTFIX unless somebody is willing to work on this hotfix.

Regards
Comment 4 Sebb 2016-02-24 19:10:59 UTC
Agreed it's not exactly a priority.